Skip to main content
GET
/
api
/
public
/
instagram
/
accounts
/
{instagramAccountId}
/
posts
List posts of an Instagram account
curl --request GET \
  --url https://api.vambe.me/api/public/instagram/accounts/{instagramAccountId}/posts \
  --header 'x-api-key: <x-api-key>'
const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};

fetch('https://api.vambe.me/api/public/instagram/accounts/{instagramAccountId}/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import requests

url = "https://api.vambe.me/api/public/instagram/accounts/{instagramAccountId}/posts"

headers = {"x-api-key": "<x-api-key>"}

response = requests.get(url, headers=headers)

print(response.text)

Headers

x-api-key
string
required

API key required to authorize the request

Path Parameters

instagramAccountId
string
required

Vambe Instagram account id (from GET /public/instagram/accounts)

Query Parameters

postType
enum<string>
Available options:
feed,
ad
limit
integer
default:20
Required range: 1 <= x <= 100
offset
integer
default:0
Required range: 0 <= x <= 9007199254740991
automationFilter
enum<string>
Available options:
all,
with-automation,
without-automation

Response

200

Paginated posts.